Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.portlet.events
Class PortletEvent

    java.lang.Object
      com.bea.netuix.nf.events.UIEvent
          com.bea.netuix.servlets.controls.AbstractEvent
              com.bea.netuix.servlets.controls.portlet.events.PortletEvent

All Implemented Interfaces:
  Serializable

Deprecated. As of 8.1 SP4, replaced by `CustomEvent`

public class PortletEvent
extends com.bea.netuix.servlets.controls.AbstractEvent

A generic event class to be used by developers to perform interportlet communications. You can attach an arbitrary payload to this object.

To fire a portlet event, get the event manager using the static method `getEventManager` and call `fireEvent` on it.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bea.netuix.servlets.controls.AbstractEvent
`com.bea.netuix.servlets.controls.AbstractEvent.Manager`

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.AbstractEvent
`debug`

Constructor Summary
`PortletEvent()` Deprecated.
`PortletEvent(Object payload)` Deprecated. Set the payload.

Method Summary
`static void` | `addGlobalListener(BackingContext backingContext, PortletEventListener listener)` Deprecated. Register a listener to be interested `PortletEvent` events.
`static com.bea.netuix.servlets.controls.AbstractEvent.Manager` | `getEventManager(Object sourceObject, BackingContext backingContext)` Deprecated. Get a reference to the Event manager.
`Object` | `getPayload()` Deprecated.
`static void` | `removeGlobalListener(BackingContext backingContext, PortletEventListener listener)` Deprecated. Unregister a listener for `PortletEvent` events.
`void` | `setPayload(Object payload)` Deprecated. Set the event payload.
`String` | `toString()` Deprecated.

Methods inherited from class com.bea.netuix.servlets.controls.AbstractEvent
`addGlobalListener, getEventManager, removeGlobalListener`

Methods inherited from class com.bea.netuix.nf.events.UIEvent
`addGlobalListener, getGlobalListeners, removeGlobalListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletEvent

    public PortletEvent()

  Deprecated.

### PortletEvent

    public PortletEvent(Object payload)

  Deprecated.
  Set the payload. The payload is arbitrary and opaque to the portal framework. Listeners will have to know what to do with the payload.

Method Detail

### addGlobalListener

    public static void addGlobalListener(BackingContext backingContext,
                                         PortletEventListener listener)

  Deprecated.
  Register a listener to be interested `PortletEvent` events. When such an event is fired, all listeners will have their `handleEvent` methods called.

  Parameters:
    `backingContext` - any backing context.
    `listener` - object implementing `AbstractEventListener`

### getEventManager

    public static com.bea.netuix.servlets.controls.AbstractEvent.Manager getEventManager(Object sourceObject,
                                                                                         BackingContext backingContext)

  Deprecated.
  Get a reference to the Event manager.

  Parameters:
    `sourceObject` - a reference to the object firing the event
    `backingContext` - any backing context `WindowBackingContext`
  Returns:
    a reference to this events manager.

### getPayload

    public Object getPayload()

  Deprecated.

### removeGlobalListener

    public static void removeGlobalListener(BackingContext backingContext,
                                            PortletEventListener listener)

  Deprecated.
  Unregister a listener for `PortletEvent` events.

  Parameters:
    `backingContext` - any backing context.
    `listener` - object implementing `AbstractEventListener`

### setPayload

    public void setPayload(Object payload)

  Deprecated.
  Set the event payload. This payload is used by the consumer of the event only.

### toString

    public String toString()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved